%global srcname python-dateutil
Name:           python-dateutil15
Version:        1.5
Release:        15%{?dist}
Summary:        Powerful extensions to the standard datetime module

Group:          Development/Languages
License:        Python
URL:            http://labix.org/python-dateutil
Source0:        http://labix.org/download/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:         python-dateutil-1.5-system-zoneinfo.patch
BuildArch:      noarch
BuildRequires:  python2-devel,python2-setuptools

%global _description\
The dateutil module provides powerful extensions to the standard datetime\
module available in Python 2.3+.  This is backwards compatibility version\
is parallel-installable with dateutil 2.x .

%description %_description

%package -n python2-dateutil15
Summary: %summary
%{?python_provide:%python_provide python2-dateutil15}

%description -n python2-dateutil15 %_description

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1

iconv --from=ISO-8859-1 --to=UTF-8 NEWS > NEWS.new
mv NEWS.new NEWS

%build
%{__python} setup.py bdist_egg

%install
mkdir -p %{buildroot}%{python_sitelib}
easy_install -m --prefix %{buildroot}%{_usr} dist/*.egg

chmod -x %{buildroot}%{python_sitelib}/python_dateutil-%{version}-py%{python2_version}.egg/dateutil/*.py 
chmod -x %{buildroot}%{python_sitelib}/python_dateutil-%{version}-py%{python2_version}.egg/dateutil/zoneinfo/__init__.py

%files -n python2-dateutil15
%doc example.py LICENSE NEWS README
%{python_sitelib}/python_dateutil-%{version}-py%{python2_version}.egg
%exclude %{python_sitelib}/dateutil/zoneinfo/zoneinfo-2010g.tar.gz


%changelog
* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.5-15
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5-13
- Python 2 binary package renamed to python2-dateutil15
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 19 2015 Pete Travis <immanetize@fedoraproject.org> - 1.5-7
- Go back to building the egg, remove conflict.

* Sun Jan 18 2015 Pete Travis <immanetize@fedoraproject.org> - 1.5-6
- Build the full module, not just an egg.
- Conflict with the newer python-dateutil package.

* Wed Jan 07 2015 Pete Travis <immanetize@fedoraproject.org> - 1.5-5
- Add patch to use system timezone data.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 13 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 1.5-1
- parallel installable newer version
- askbot indirectly requires this newer version via python-celery
